Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wsc
Class ActivationCoordinator

    java.lang.Object
      com.arjuna.wsc.ActivationCoordinator

public class ActivationCoordinator
extends java.lang.Object

Wrapper around low level Activation Coordinator messaging.

Author:
  kevin

Constructor Summary
`ActivationCoordinator()`

Method Summary
`static com.arjuna.webservices.wscoor.CoordinationContextType` | `createCoordinationContext(java.lang.String activationCoordinatorURI, java.lang.String messageID, java.lang.String coordinationTypeURI, java.lang.Long expires, com.arjuna.webservices.wscoor.CoordinationContextType currentContext)` Create the coordination context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivationCoordinator

    public ActivationCoordinator()

Method Detail

### createCoordinationContext

    public static com.arjuna.webservices.wscoor.CoordinationContextType createCoordinationContext(java.lang.String activationCoordinatorURI,
                                                                                                  java.lang.String messageID,
                                                                                                  java.lang.String coordinationTypeURI,
                                                                                                  java.lang.Long expires,
                                                                                                  com.arjuna.webservices.wscoor.CoordinationContextType currentContext)
                                                                                           throws InvalidCreateParametersException,
                                                                                                  com.arjuna.webservices.SoapFault

  Create the coordination context.

  Parameters:
    `activationCoordinatorURI` - The URI of the activation coordinator.
    `messageID` - The messageID to use.
    `coordinationTypeURI` - The coordination type.
    `expires` - The expiry time or null.
    `currentContext` - The currnt context or null.
  Returns:
    The coordination context.
  Throws:
    `InvalidCreateParametersException` - if the create parameters are invalid.
    `com.arjuna.webservices.SoapFault` - for errors during processing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD